# TdApi.ReorderInstalledStickerSets (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: ReorderInstalledStickerSets

Package it.tdlight.jni

# Class TdApi.ReorderInstalledStickerSets

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.ReorderInstalledStickerSets

Enclosing class:
  TdApi

    public static class TdApi.ReorderInstalledStickerSets
    extends TdApi.Function

Changes the order of installed sticker sets.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`boolean` | `isMasks` | Pass true to change the order of mask sticker sets; pass false to change the order of ordinary sticker sets.
`long[]` | `stickerSetIds` | Identifiers of installed sticker sets in the new correct order.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ReorderInstalledStickerSets()` | Changes the order of installed sticker sets.
`ReorderInstalledStickerSets​(boolean isMasks, long[] stickerSetIds)` | Changes the order of installed sticker sets.
`ReorderInstalledStickerSets​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### isMasks

public boolean isMasks
Pass true to change the order of mask sticker sets; pass false to change the order of ordinary sticker sets.

### stickerSetIds

public long[] stickerSetIds
Identifiers of installed sticker sets in the new correct order.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### ReorderInstalledStickerSets

public ReorderInstalledStickerSets()
Changes the order of installed sticker sets.

Returns `Ok`

### ReorderInstalledStickerSets

public ReorderInstalledStickerSets​(boolean isMasks, long[] stickerSetIds)
Changes the order of installed sticker sets.

Returns `Ok`

Parameters:
  `isMasks` - boolean Pass true to change the order of mask sticker sets; pass false to change the order of ordinary sticker sets.
  `stickerSetIds` - long[] Identifiers of installed sticker sets in the new correct order.

### ReorderInstalledStickerSets

public ReorderInstalledStickerSets​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`